%define name	mrxvt
%define version	0.5.4
%define release	%mkrel 7

Summary:	A multi-tabbed X terminal emulator based on rxvt
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		mrxvt-0.5.4-libpng1.4.patch
Patch1:		mrxvt-0.5.4-automake-1.13.patch
License:	GPLv2
Group:		Terminals
Url:		http://materm.sourceforge.net
BuildRequires:	libice-devel
BuildRequires:	libsm-devel
BuildRequires:	libx11-devel
BuildRequires:	libxft-devel
BuildRequires:	libxpm-devel
BuildRequires:	libxrender-devel
BuildRequires:	fontconfig-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
# X11 locales are required to build IM support
BuildRequires:	libx11-common
BuildRequires:	imagemagick

%description
Mrxvt is a lightweight and powerful multi-tabbed X terminal emulator based on
the popular emulators rxvt and aterm. It implements many useful features seen
in modern X terminal emulators such as gnome-terminal and konsole while
remaining lightweight and independent of the GNOME and KDE desktop
environments.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .automake-1_13

%build
autoreconf -fi
%configure2_5x --disable-debug --enable-keepscrolling --enable-selectionscrolling  --enable-mousewheel --enable-24bits --enable-xft --enable-xim --enable-greek --enable-cjk
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -rf %{buildroot}/usr/share/doc/mrxvt

# menu entries

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Mrxvt
Comment=A multi-tabbed X terminal emulator
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=TerminalEmulator;System;
EOF


install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}

convert -resize 48x48 share/pixmaps/mrxvt.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -resize 16x16 share/pixmaps/mrxvt.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert -resize 32x32 share/pixmaps/mrxvt.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README TODO ChangeLog
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/pixmaps/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/*
%{_datadir}/applications/*





%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.5.4-7.mga3
+ Revision: 360456
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 0.5.4-6.mga3
+ Revision: 339978
- patch1: fix build with automake 1.13

* Thu Sep 15 2011 fwang <fwang> 0.5.4-5.mga2
+ Revision: 143710
- support libpng1.5

* Tue Apr 26 2011 wally <wally> 0.5.4-4.mga2
+ Revision: 91770
- fix desktop file name (mga#954)
- fix exec line in desktop file

* Tue Apr 19 2011 ennael <ennael> 0.5.4-3.mga1
+ Revision: 88318
- clean spec file
- imported package mrxvt

